# Remove Recipe from Favorites

This endpoint allows removing the recipe from favorites. This API available only for user access-token integration

## Remove Recipe from Favorites

<mark style="color:red;">`DELETE`</mark> `https://graph.whisk.com/v1/:recipe_id`

#### Path Parameters

| Name       | Type   | Description              |
| ---------- | ------ | ------------------------ |
| recipe\_id | string | Unique recipe identifier |

#### Request Body

| Name          | Type  | Description                                                                                            |
| ------------- | ----- | ------------------------------------------------------------------------------------------------------ |
| collectionIds | array | Collections for this recipe (optional). If specified this will remove recipe only from this collection |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "ok": true
}
```

{% endtab %}
{% endtabs %}

### Sample Request

```bash
curl -X DELETE "https://graph.whisk.com/v1/recipes/3d4fda8595114a3a9f7b12fd471a4169" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer <Access-Token>"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/user-recipes-and-collections/remove-recipe-from-favorites.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
